### Function

# GLibUnix fd_query_path

since: 2.88

#### Declaration [src]

    char*
    g_unix_fd_query_path (
      int fd,
      GError** error
    )

#### Description [src]

Queries the file path for the given FD opened by the current process.

Available since: 2.88

#### Parameters

`fd`

  Type: `int`

  The file descriptor to query.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `char*`

The file path, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.